Get Grid
Request
GET
https://api.wiki.yandex.net/v1/grids/{idx}
Path parameters
|
Name |
Description |
|
idx |
Type: string<uuid4> Example: `` |
Query parameters
|
Name |
Description |
|
fields |
Type: string Additional fields, comma-separated; see the response format description. Example: `` |
|
filter |
Type: string Filter rows; for example Example: `` |
|
only_cols |
Type: string Return only specific columns. Comma-separated slugs Example: `` |
|
only_rows |
Type: string Return only specific rows. Comma-separated IDs Example: `` |
|
revision |
Type: integer Load an older version of the dynamic table |
|
sort |
Type: string Sort rows by columns; for example Example: `` |
Responses
200 OK
OK
Body
application/json
{
"id": "example",
"created_at": "2025-01-01T00:00:00Z",
"title": "example",
"page": {
"id": 0,
"slug": "example"
},
"structure": {
"default_sort": [
{
"slug": "example",
"title": "example",
"direction": null
}
],
"columns": [
{
"id": "example",
"slug": "example",
"title": "example",
"type": null,
"required": true,
"width": 0,
"width_units": null,
"pinned": null,
"color": null,
"multiple": true,
"format": null,
"ticket_field": null,
"select_options": [
null
],
"mark_rows": true,
"description": "example"
}
]
},
"rich_text_format": "yfm",
"rows": [
{
"id": "example",
"row": [
0
],
"pinned": true,
"color": "blue"
}
],
"revision": "example",
"user_permissions": [
"create_page"
],
"attributes": {
"created_at": "2025-01-01T00:00:00Z",
"modified_at": "2025-01-01T00:00:00Z"
},
"template_id": 0
}
|
Name |
Description |
|
created_at |
Type: string<date-time> Date and time the table was created Example: |
|
id |
Any of 2 types
Unique table identifier Example: |
|
page |
All of 1 type
The page the table is attached to Example
|
|
revision |
Type: string Table revision Example: |
|
rich_text_format |
All of 1 type
The rich-text content format in the table Example: |
|
rows |
Type: GridRowSchema[] Table rows Example
|
|
structure |
All of 1 type
Table structure (columns, data types) Example
|
|
title |
Type: string Table title Example: |
|
attributes |
All of 1 type
Not returned by default Example
|
|
template_id |
Type: integer |
|
user_permissions |
Type: UserPermission[] Not returned by default Specify Example
|
PageIdentity
Page identifier
|
Name |
Description |
|
id |
Type: integer Page ID. Either |
|
slug |
Type: string Page address (slug). Either Example: |
Example
{
"id": 0,
"slug": "example"
}
SortDirection
Sort direction:
asc— ascending (from smallest to largest, from A to Z)desc— descending (from largest to smallest, from Z to A)
Type: string
Enum: asc, desc
ColumnSortSchema
Column sorting schema in a dynamic table
|
Name |
Description |
|
direction |
All of 1 type
Sort direction Example: |
|
slug |
Type: string Unique text identifier of the column Example: |
|
title |
Type: string Column title Example: |
Example
{
"slug": "example",
"title": "example",
"direction": "asc"
}
ColumnType
An enumeration.
Type: string
Enum: string, number, date, select, staff, checkbox, ticket, ticket_field
WidthUnits
An enumeration.
Type: string
Enum: %, px
ColumnPinTypes
An enumeration.
Type: string
Enum: left, right
BGColor
An enumeration.
Type: string
Enum: blue, yellow, pink, red, green, mint, grey, orange, magenta, purple, copper, ocean
TextFormat
Text format:
yfm— Yandex Flavored Markdownwom— Wiki Old Markup (the old markup)plain— plain text
Type: string
Enum: yfm, wom, plain
TicketField
An enumeration.
Type: string
Enum: assignee, components, created_at, deadline, description, end, estimation, fixversions, followers, last_comment_updated_at, original_estimation, parent, pending_reply_from, priority, project, queue, reporter, resolution, resolved_at, sprint, start, status, status_start_time, status_type, storypoints, subject, tags, type, updated_at, votes
ColumnSchema
Dynamic table column schema
|
Name |
Description |
|
required |
Type: boolean Whether the column is required |
|
slug |
Type: string Unique text identifier of the column (used in formulas and the API) Example: |
|
title |
Type: string Column title (displayed in the interface) Example: |
|
type |
All of 1 type
Column data type Example: |
|
color |
All of 1 type
Column background color Example: |
|
description |
Type: string Column description Example: |
|
format |
All of 1 type
For Example: |
|
id |
Type: string Unique column identifier Example: |
|
mark_rows |
Type: boolean For |
|
multiple |
Type: boolean For |
|
pinned |
All of 1 type
Column pinning (left, right, or unpinned) Example: |
|
select_options |
Type: string[] For Example
|
|
ticket_field |
All of 1 type
For Example: |
|
width |
Type: integer Column width |
|
width_units |
All of 1 type
Column width units Example: |
Example
{
"id": "example",
"slug": "example",
"title": "example",
"type": "string",
"required": true,
"width": 0,
"width_units": "%",
"pinned": "left",
"color": "blue",
"multiple": true,
"format": "yfm",
"ticket_field": "assignee",
"select_options": [
"example"
],
"mark_rows": true,
"description": "example"
}
GridStructureSchema
Dynamic table structure
|
Name |
Description |
|
columns |
Type: ColumnSchema[] Table columns Example
|
|
default_sort |
Type: ColumnSortSchema[] Default sorting Example
|
Example
{
"default_sort": [
{
"slug": "example",
"title": "example",
"direction": "asc"
}
],
"columns": [
{
"id": "example",
"slug": "example",
"title": "example",
"type": "string",
"required": true,
"width": 0,
"width_units": "%",
"pinned": "left",
"color": "blue",
"multiple": true,
"format": "yfm",
"ticket_field": "assignee",
"select_options": [
"example"
],
"mark_rows": true,
"description": "example"
}
]
}
TicketSchema
Ticket schema from Yandex Tracker
|
Name |
Description |
|
key |
Type: string Ticket key (for example, Example: |
|
resolved |
Type: boolean The ticket is resolved (closed) |
Example
{
"key": "example",
"resolved": true
}
UserIdentity
User identifier
|
Name |
Description |
|
cloud_uid |
Type: string User identifier in the cloud (for the external instance) Example: |
|
uid |
Type: string User identifier in Yandex (for the internal instance) Example: |
Example
{
"uid": "example",
"cloud_uid": "example"
}
UserSchema
Information about the user
|
Name |
Description |
|
affiliation |
Type: string User affiliation (for example, Example: |
|
display_name |
Type: string User display name Example: |
|
id |
Type: integer Internal user identifier |
|
is_dismissed |
Type: boolean The user has been dismissed |
|
username |
Type: string User login Example: |
|
identity |
All of 1 type
User identifier in the system Example
|
Example
{
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
}
UnresolvedUserSchema
Schema for a user that was not found in the system
|
Name |
Description |
|
identity |
All of 1 type
User identifier Example
|
|
username |
Type: string User login Example: |
Example
{
"username": "example",
"identity": {
"uid": "example",
"cloud_uid": "example"
}
}
TrackerEnumField
Enumeration field from Yandex Tracker
|
Name |
Description |
|
display |
Type: string Displayed field value Example: |
|
key |
Type: string Field value key Example: |
Example
{
"display": "example",
"key": "example"
}
GridRowSchema
Dynamic table row schema
|
Name |
Description |
|
id |
Type: string Unique row identifier Example: |
|
row |
Type: arrayAny of 10 types
Array of the row's cell values (the order matches the column order) Example
|
|
color |
All of 1 type
Row background color Example: |
|
pinned |
Type: boolean The row is pinned |
Example
{
"id": "example",
"row": [
0
],
"pinned": true,
"color": "blue"
}
UserPermission
User access permissions for the page:
create_page— create subpagesdelete— delete the pageedit— edit the pageview— view the pagecomment— commentchange_authors— change authorschange_acl— change the access listset_redirect— set a redirectmanage_invite— manage invitationsview_invite— view invitationsadmin— administrative permissions
Type: string
Enum: create_page, delete, edit, view, comment, change_authors, change_acl, set_redirect, manage_invite, view_invite, admin
GridAttributesSchema
Dynamic table attributes (metadata)
|
Name |
Description |
|
created_at |
Type: string<date-time> Date and time the table was created Example: |
|
modified_at |
Type: string<date-time> Date and time the table was last modified Example: |
Example
{
"created_at": "2025-01-01T00:00:00Z",
"modified_at": "2025-01-01T00:00:00Z"
}